% 10 gamma random input variables X1,X2,...,X10         (1000 samples)
% 1 gamma random output variable Y                      (1000 samples)

Xtr = gamrnd(2,10,1000,10);
Ytr = gamrnd(3,7,1000,1);




% Train and build GMDH polynomial neural network 
% (20 neurons, 3rd degree polynomials)

[model time] = gmdh_build(Xtr,Ytr,3,1,20,1,3,3);





% Print the trained plynomial neural network as equation: Y = f(X1,...,X10))

gmdh_eq(model)





% Test on new unseen input variable for 100 samples and predict next 100 output 
% samples (in Ytest)

Xtest = gamrnd(2,10,100,10);
Ytest = gmdh_predict(model,Xtest);


plot(Xtest);
figure;
plot(Ytest);




